Subject: clisp running on linux-68k

From: Scott J. Kolodzieski <[email-masked]>
Date: Sat, 18 Nov 1995 20:11:25 -0500

Hello all,

This is my first port to this list. I have recently got clisp running
on my linux-68k machine. basically this is a regular linux but it run
and several platforms (atari & amigas) that use 68030 or better.

The kernel runs elf fromat executables and user space is above 0x80000000, 
also shared libs are loaded above 0x80000000. I used the following in 
lispbibl.d:

#elif defined(UNIX_LINUX) && defined(MC680X0) # Linux with ELF binary format
  # Bits 30...24 = Typcode, Bits 31,23..0 = Adresse
  #define oint_type_shift 24
  #define oint_type_len 8
  #define oint_type_mask 0x7F000000UL
  #define oint_addr_shift 0
  #define oint_addr_len 24
  #define oint_addr_mask 0x80FFFFFFUL
  # Shared libraries are mapped in at 0x80000000
  #define vm_addr_mask 0x7FFFFFFFUL
#else

also needed the following change to lispbibl.d:

# Ob Graphik-Operationen untersttzt werden.
  #if (defined(EMUNIX) && !defined(WINDOWS)) || defined(UNIX_LINUX) && !defined(MC680X0)
    #define GRAPHICS
    #define GRAPHICS_SWITCH  # Umschalten zwischen Text-Modus und Grafik-Modus
  #endif
# Bei Erweiterung: GRAPH erweitern.

the !defined(MC680X0) is the new part in that. 

Had to compile with -DNOMULTIMAP_SHM and -DNO_MULTIMAP_FILE and
set -DSAFETY=3. 

with -DSAFETY=2 I got compile errors that I am currently investigating, 
and with -DSAFETY={0,1} I was able to compile and link if I added the
-ffixed-a4 flag to CFLAGS. However with -DSAFETY={0,1} the lisp.run 
dumped core with and IOT/trap when loading user1.lsp 

Anyone out there running clisp on a 68k platform and have any idea
about the core dumps I am getting with the lower SAFETY values.

cheers,
scott.